Subject: Re: RFC1771
From: Tony Li <[email-masked]>
To: [email-masked] (Paul Knight)
Cc: [email-masked]
Date: 27 Jun 1997 00:03:56 -0700

[email-masked] (Paul Knight) writes:

> Yes, this is certainly a mistake, since it occurs in the section
> discussing the connect state (and the exact same statement occurs just
> below, in the discussion of the active state).  This error is still
> present in the current draft:
> 
> http://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-06.txt

Yup, cut & paste error.  Thanks, I've updated the master source and the
change will appear the next time the document is published.

Tony

Posted-Date: Thu, 26 Jun 1997 20:11:01 +0200 (MET DST)
Date: Thu, 26 Jun 1997 14:08:04 -0400
From: Paul Knight <[email-masked]>
Organization: Bay Networks
To: [email-masked]
Subject: Re: RFC1771
Sender: [email-masked]

Yes, this is certainly a mistake, since it occurs in the section
discussing the connect state (and the exact same statement occurs just
below, in the discussion of the active state).  This error is still
present in the current draft:

http://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-06.txt

- Paul

[email-masked] wrote:
> 
> Dear Authors, I am a grad student assigned to do a report on BGP.  My main resource
> is RFC1771.  I am attempting to diagram the finite state machine for BGP.  On
> page 30 of RFC171, in the discussion of Connect State, the following appears:
> 
>      Start event is ignored in the Active State.
> 
> I am assuming this sentence should be:
> 
>      Start event is ignored in the Connect State.
> 
> Is this assumption correct.
> 
>      Thank you for an extremely helpful document (RFC1771).  I am not an "expert" in
> this material and your explanations are detailed enough to get me off the ground
> floor and write the material for my talk.
> 
> Respectfully,
> Cricket Haygood Deane

-- 
Paul Knight 			  mailto:[email-masked]
Corporate Systems Engineer -- Internet/Telco Products
Bay Networks, Inc.	M/S BL8-05	Office: (508) 916-4414
8 Federal St., Billerica, MA 01821	Fax:    (508) 916-3030

From: [email-masked]
Date: Thu, 26 Jun 1997 10:07:40 -0400
To: [email-masked]
Subject: RFC1771
Cc: [email-masked]
Sender: [email-masked]

Dear Authors, I am a grad student assigned to do a report on BGP.  My main resource
is RFC1771.  I am attempting to diagram the finite state machine for BGP.  On
page 30 of RFC171, in the discussion of Connect State, the following appears:

     Start event is ignored in the Active State.

I am assuming this sentence should be:

     Start event is ignored in the Connect State.

Is this assumption correct.

     Thank you for an extremely helpful document (RFC1771).  I am not an "expert" in
this material and your explanations are detailed enough to get me off the ground 
floor and write the material for my talk.

Respectfully,
Cricket Haygood Deane

To: [email-masked]
Subject: multiprotocol extensions to BGP4
Date: Wed, 25 Jun 97 07:58:55 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

Folks,

Attached may be of interest...
It incorporates the comments that have been received at the last IETF
(e.g. add Sub-AFI field, define code point for multicast).

Yakov.
------- Forwarded Message

To: [email-masked]
Sender: [email-masked]
From: [email-masked]
Reply-to: [email-masked]
Subject: I-D ACTION:draft-bates-bgp4-multiprotocol-02.txt
Date: Wed, 25 Jun 1997 10:06:42 -0400

- --NextPart

 A Revised Internet-Draft is available from the on-line Internet-Drafts 
 directories.                                                              

       Title     : Multiprotocol Extensions for BGP-4                      
       Author(s) : T. Bates, R. Chandra, D. Katz, Y. Rekhter
       Filename  : draft-bates-bgp4-multiprotocol-02.txt
       Pages     : 9
       Date      : 06/24/1997

Currently BGP-4 [BGP-4] is capable of carrying routing information only 
for IPv4 [IPv4]. This document defines extensions to BGP-4 to enable it 
to carry routing information for multiple Network Layer protocols 
(e.g., IPv6, IPX, etc...). The extensions are backward compatible 
- - a router that supports the extensions can interoperate with 
a router that doesn't support the extensions.                                                            

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-bates-bgp4-multiprotocol-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-bates-bgp4-multiprotocol-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa:  ftp.is.co.za                    
	                                                
     o  Europe:  ftp.nordu.net            	
                 ftp.nis.garr.it                 
	                                                
     o  Pacific Rim: munnari.oz.au               
	                                                
     o  US East Coast: ds.internic.net           
	                                                
     o  US West Coast: ftp.isi.edu               
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-bates-bgp4-multiprotocol-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

- --NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

- --OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-bates-bgp4-multiprotocol-02.txt

- --OtherAccess
Content-Type:   Message/External-body;
        name="draft-bates-bgp4-multiprotocol-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

- --OtherAccess--

- --NextPart--

------- End of Forwarded Message

Posted-Date: Wed, 25 Jun 1997 01:43:41 +1000
Date: Wed, 25 Jun 1997 00:50:13 +0900
From: "\0\- \A\x\<\v [ JinSoo Kang ]" <[email-masked]>
Reply-To: [email-masked]
Organization: Network Lab in Kwangwoon Unv
To: [email-masked]
Subject: [q] BGP algoritm
Sender: [email-masked]

I'm going to university in Seoul.

my special part is Routing algorithm.
Then I need to BGP algorithm.

please give me BGP algorithm.
thank you.

--
*'`'*.,.*'`'*.,.*'`'*.,.*'`'*.,.*'`'*.,.*.,.*'`'*.,.*'`'*
$)C
Name!! : JinSoo Kang
Dept!! : Network Laboratory
Unv!!!! : kwangwoon University
Email : [email-masked]
URL!!!! : http://netlab.kwangwoon.ac.kr/~jskang/index.html
*.,.*'`'*.,.*'`'*.,.*'`'*.,.*'`'*.,.*'`'*.,.*.,.*'`'*.,.*

To: [email-masked]
Subject: second slot
Date: Thu, 19 Jun 97 16:53:07 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

Folks,

We got another slot (see attached). This slot will be used *only* to talk about
BGP for IPv6.

Yakov.
------- Forwarded Message

Date: Thu, 19 Jun 1997 16:32:34 -0400
To: Yakov Rekhter <[email-masked]>
From: Marcia Beaulieu <[email-masked]>
Subject: 39th IETF: IDR
Cc: [email-masked], [email-masked]

Yakov,

This is to confirm a second session for IDR as follows:

        Tuesday, August 12 at 0900-1115 (opposite ssh, sidd)

The first session is scheduled for Monday, August 11 at 0930-1130 (opposite
svrloc, roamops, http, issll)

Please submit an agenda for this meeting as soon as possible so I can
post it on the web.

Thanks,

Marcia

**********************************************************************
Marcia Beaulieu <[email-masked]>
IETF Meeting Coordinator
Voice: 703-620-8990 ext. 210
Fax: 703-758-5913

------- End of Forwarded Message

To: Yakov Rekhter <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: agenda items 
Date: Fri, 13 Jun 97 13:05:58 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

> Folks,
> 
> We'll be meeting 8/8 from 9:30 till 11:30.

Minor correction - the meeting will be on Monday 8/11.

Sorry.

Yakov.

To: [email-masked]
Cc: [email-masked]
Subject: agenda items
Date: Fri, 13 Jun 97 11:59:49 PDT
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]

Folks,

We'll be meeting 8/8 from 9:30 till 11:30.

Please send suggestions on agenda items either to me ([email-masked]),
or to Sue Hares ([email-masked]). 

Yakov.

From: Hwang Hyojung <[email-masked]>
Subject: Re: about Hold Time
To: [email-masked] (Herve Degrand)
Date: Thu, 5 Jun 1997 14:40:18 +0900 (KST)
Cc: [email-masked]
Sender: [email-masked]

Then, 

When the HOLD TIME is zero, the Hold Timer is not set.
And a BGP speaker thinks that the BGP connections with peers are always alive.
If the peers did not send UPDATE message, a BGP speaker think there is 
no change of routing information. 
How do a BGP speaker know that the peers are working or not ? 

According to Herve Degrand:
> 
> 
> Hello,
> 
> about Hold Time at zero, it is written in RFC 1771 =
> " Hold Time MUST be either zero or at least three seconds...
> If the negotiated Hold Time interval is zero, then periodic
> KEEPALIVE messages MUST NOT be sent... = the Hold Time timer and
> KeepAlive timers are not started."
> 
> So, you seem to be right,  BGP speaker doesn't need to send/receive
> KEEPALIVE message.
> 
> Herve
> 
> -------------------------------------------------------------
>  Herve DEGRAND   <[email-masked]>
>    BT Labs
> -------------------------------------------------------------

To: [email-masked]
cc: [email-masked]
From: [email-masked]
Reply-to: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-bgp4-06.txt
Date: Wed, 04 Jun 1997 09:27:06 -0400
Sender: [email-masked]

--NextPart

 A Revised Internet-Draft is available from the on-line Internet-Drafts 
 directories. This draft is a work item of the Inter-Domain Routing Working
 Group of the IETF.                                                        

       Title     : A Border Gateway Protocol 4 (BGP-4)                     
       Author(s) : Y. Rekhter, T. Li
       Filename  : draft-ietf-idr-bgp4-06.txt
       Pages     : 59
       Date      : 06/03/1997

The Border Gateway Protocol (BGP) is an inter-Autonomous System routing 
protocol.  It is built on experience gained with EGP as defined in RFC 904 
[1] and EGP usage in the NSFNET Backbone as described in RFC 1092 [2] and 
RFC 1093 [3].                                                              

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-bgp4-06.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-06.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa:  ftp.is.co.za                    
	                                                
     o  Europe:  ftp.nordu.net            	
                 ftp.nis.garr.it                 
	                                                
     o  Pacific Rim: munnari.oz.au               
	                                                
     o  US East Coast: ds.internic.net           
	                                                
     o  US West Coast: ftp.isi.edu               
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-bgp4-06.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-bgp4-06.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-bgp4-06.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--